@import '../../../../assets/theme/variables.scss';

.dropdown {
    position: relative;
    padding-top: 40px;
    z-index: 100;
    display: flex;
    width: 250px;

    .dropdown-title {
        width: 100%;
        box-shadow: 1px 1px 7px #3a37377d;
        border-radius: 8px;
        cursor: pointer;

        .name-select {
            color: #fff;
            margin-left: 8px;
        }
    }

    .dropdown-search{
        // width: 100%;
        box-shadow: 1px 1px 7px #3a37377d;
        border-radius: 8px;
        cursor: pointer;
        .dropdown-list {
            // display: flex;
            padding: 16px;
            background: #000;
            box-shadow: 1px 1px 7px #3a37377d;
            width: 400px;
            border-radius: 8px;
            position: absolute;
            top: 50px;
            left: 0px;
            z-index: 3;
            // width: 100%;

            .top-dropdown{
                display: flex;
                .trending{
                    color: #fff;
                    margin-left: 8px;
                }
            }

            
    
            li {
                display: inline-flex;
                background-color: #3a37377d;
                margin-right: 16px;
                margin-top: 16px;
                border-radius: 8px;
                list-style: none;
                // margin: auto;
                padding: .5rem 1rem;
                cursor: pointer;
                font-size: 1rem;
                font-weight: 500;
                color: #fff;
    
                &:hover {
                    color: $color-green;
                    background-color: #3a37377d;
                    border-radius: 8px;
                }
            }
        }
    }

    .dropdown-list {
        width: 100%;
        padding: 16px;
        background: #000;
        box-shadow: 1px 1px 7px #3a37377d;
        border-radius: 8px;

        li {
            list-style: none;
            margin: auto;
            padding: .5rem 1rem;
            cursor: pointer;
            font-size: 1rem;
            font-weight: 500;
            color: #fff;

            &:hover {
                color: $color-green;
                background-color: #3a37377d;
                border-radius: 8px;
            }
        }
    }

    .dropdown-setting {
        width: 100%;
        background: #000;
        box-shadow: 1px 1px 7px #3a37377d;
        border-radius: 8px;
        
        li {
            list-style: none;
            padding: .7rem .5rem;
            cursor: pointer;
            display: flex;
            align-items: center;
            justify-content: space-between;

            &:hover {
                color: $color-green;
                background-color: #3a37377d;
                border-radius: 8px;
            }

            p {
                color: #fff;
                text-align: left;
                padding-left: 10px;
                padding-right: 10px;
            }

            .item-name {
                width: 100%;
                display: flex;
                align-items: center;
                justify-content: space-between;
            }

            .icon {
                width: 24px;
                height: 24px;
            }

        }
    }
}